Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class MDRENSSwapParameterInfo

[frames] | no frames]

# Class MDRENSSwapParameterInfo

source code

                   object --+
                            |
    AbstractSwapParameterInfo --+
                                |
              RESwapParameterInfo --+
                                    |
                                   MDRENSSwapParameterInfo

Known Subclasses:
  - ThermostattedMDRENSSwapParameterInfo

Holds parameters for a MDRENS swap.

Nested Classes
Inherited from `AbstractSwapParameterInfo`: `__metaclass__`

Instance Methods

__init__(self, sampler1, sampler2, timestep, traj_length, gradient, protocol=None, mass_matrix=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractSwapParameterInfo`: `__abstractmethods__`

Properties
| gradient Gradient which governs the equations of motion.
| mass_matrix
| protocol Switching protocol determining the time dependence of the switching parameter.
| timestep Integration timestep.
| traj_length Trajectory length in number of integration steps.
Inherited from `AbstractSwapParameterInfo`: `sampler1`, `sampler2` Inherited from `object`: `__class__`

Method Details

### __init__(self, sampler1, sampler2, timestep, traj_length, gradient, protocol=None, mass_matrix=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sampler1` (AbstractSingleChainMC) - First sampler
  - `sampler2` (AbstractSingleChainMC) - Second sampler
  - `timestep` (float) - Integration timestep
  - `traj_length` (int) - Trajectory length in number of timesteps
  - `gradient` (AbstractGradient) - Gradient which determines the dynamics during a trajectory
  - `protocol` (callable) - Switching protocol determining the time dependence of the switching parameter. It is a function f taking the running time t and the switching time tau to yield a value in [0, 1] with f(0, tau) = 0 and f(tau, tau) = 1. Default is a linear protocol, which is being set manually due to an epydoc bug
  - `mass_matrix` (n-dimensional matrix of type InvertibleMatrix with n being the dimension of the configuration space, that is, the dimension of the position / momentum vectors) - Mass matrix
Overrides: object.__init__
  (inherited documentation)

Property Details

### gradient

Gradient which governs the equations of motion.

Get Method:
  unreachable.gradient(self) - Gradient which governs the equations of motion.

### mass_matrix

Get Method:
  unreachable.mass_matrix(self)
Set Method:
  unreachable.mass_matrix(self, value)

### protocol

Switching protocol determining the time dependence of the switching parameter.

Get Method:
  unreachable.protocol(self) - Switching protocol determining the time dependence of the switching parameter.
Set Method:
  unreachable.protocol(self, value)

### timestep

Integration timestep.

Get Method:
  unreachable.timestep(self) - Integration timestep.
Set Method:
  unreachable.timestep(self, value)

### traj_length

Trajectory length in number of integration steps.

Get Method:
  unreachable.traj_length(self) - Trajectory length in number of integration steps.
Set Method:
  unreachable.traj_length(self, value)